var pkcIndexReloadList = [ ];

function refreshImages() {
    for (i = 0; i < pkcIndexReloadList.length; i++) {
        var imageMap = pkcIndexReloadList[i];
        var img = imageMap.imageElement;
        img.attr("src", "http://" + imageMap.host + "/mjpeg_read.php?time="
                + new Date().getTime());
    }
    setTimeout(refreshImages, 1500);
}

/*
 * Can's the DOM for divs with the 'camera' class set and attempted to retreive
 * the camera image, while setting the hyperlink to point to the camera web
 * interface.
 */
function parseCameras() {
    // Below is called for each camera found in the HTML body.
    $(".camera").each(function() {
        var host = $(this).html();
        
        // Bail if the camera doesn't have a hostname set.
        if (host == "") return;
        // Rebuild the DIV to contain the host and an IMG element.
        $(this).html("<div class=\"name text-shadow\">" + host + "</div>\r\n"
            + "<img alt=\"Waiting for first image\" style=\"border:6px groove silver;\" />");

        // Find the images, set the link on them and add them to the image
        // reloader.
        var img = $(this).find("img");
        img.click(function() {
            document.location = "http://" + host + "/";
        });
        pkcIndexReloadList.push({host: host, imageElement: img});
    });    
}

$(document).ready(function() {
    parseCameras();
    refreshImages();
});
